POST
/
v1
/
internal
/
retrieve
Knowledge retrieval (internal-only)
curl --request POST \
  --url https://api.talkzilla.app/v1/internal/retrieve \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspace_id": "<string>",
  "query": "<string>",
  "agent_id": "<string>",
  "limit": 8
}
'
{
  "data": {
    "matches": [
      {
        "chunk_id": "<string>",
        "document_id": "<string>",
        "document_title": "<string>",
        "agent_id": "<string>",
        "source_url": "<string>",
        "version_number": 123,
        "chunk_ordinal": 123,
        "content_snippet": "<string>",
        "score": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workspace_id
string
required
query
string
required
agent_id
string
limit
integer
default:8
Required range: 1 <= x <= 20

Response

200 - application/json

Ranked chunk matches.

data
object